<?php
declare(strict_types=1);

namespace Catequil\Plugin\Gateway;

use GuzzleHttp\Exception\GuzzleException;
use JsonException;
use WC_Order;
use function json_decode;

/**
 * Class PackageGateway
 *
 * @package Catequil\Plugin\Gateway
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-plugin
 */
final class PackageGateway extends AbstractGateway
{
    /**
     * @param WC_Order $order
     *
     * @return array
     * @throws GuzzleException
     * @throws JsonException
     */
    public function createForOrder(WC_Order $order): array
    {
        $response = $this->http->get("webshop/{$this->config->getWebshop()}/order/{$order->get_id()}/update");

        $contents = $response->getBody()->getContents();
        return json_decode($contents, true, 512, JSON_THROW_ON_ERROR);
    }
}
